org.apache.sysds.runtime.privacy.propagation

## Enum OperatorType

- java.lang.Object
- - java.lang.Enum<OperatorType>
  - - org.apache.sysds.runtime.privacy.propagation.OperatorType

All Implemented Interfaces:
  Serializable, Comparable<OperatorType>

    public enum OperatorType
    extends Enum<OperatorType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Aggregate`
`NonAggregate`

### Method Summary

All Methods Static Methods Concrete Methods
`static OperatorType` `getAggregationType(AggregateBinaryCPInstruction inst, ExecutionContext ec)` Returns the operator type of AggregateBinaryCPInstruction based on the input data characteristics and the transpose.
`static OperatorType` `getAggregationType(MMChainCPInstruction inst, ExecutionContext ec)` Returns the operator type of MMChainCPInstruction based on the input data characteristics.
`static OperatorType` `getAggregationType(MMTSJCPInstruction inst, ExecutionContext ec)` Returns the operator type of MMTSJCPInstruction based on the input data characteristics and the MMTSJType.
`static OperatorType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OperatorType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Aggregate

    public static final OperatorType Aggregate

#### NonAggregate

    public static final OperatorType NonAggregate

### Method Detail

#### values

    public static OperatorType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OperatorType c : OperatorType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OperatorType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getAggregationType

    public static OperatorType getAggregationType(MMChainCPInstruction inst,
                                                  ExecutionContext ec)

Returns the operator type of MMChainCPInstruction based on the input data characteristics.

Parameters:
  `inst` - MMChainCPInstruction for which operator type is returned
  `ec` - execution context
Returns:
  operator type of instruction

#### getAggregationType

    public static OperatorType getAggregationType(MMTSJCPInstruction inst,
                                                  ExecutionContext ec)

Returns the operator type of MMTSJCPInstruction based on the input data characteristics and the MMTSJType.

Parameters:
  `inst` - MMTSJCPInstruction for which operator type is returned
  `ec` - execution context
Returns:
  operator type of instruction

#### getAggregationType

    public static OperatorType getAggregationType(AggregateBinaryCPInstruction inst,
                                                  ExecutionContext ec)

Returns the operator type of AggregateBinaryCPInstruction based on the input data characteristics and the transpose.

Parameters:
  `inst` - AggregateBinaryCPInstruction for which operator type is returned
  `ec` - execution context
Returns:
  operator type of instruction